summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMichael Buesch <m@bues.ch>2017-02-07 21:00:45 +0100
committerMichael Buesch <m@bues.ch>2017-02-07 21:00:45 +0100
commit837a99274426f9c64afde257cc4c145ca12037ab (patch)
tree4057e47579ea28b725f3aa98cdf607a5d27c885a
parent6c799115cbd4dc825b7c5dd4d60fe01e5128817b (diff)
downloadtoprammer-837a99274426f9c64afde257cc4c145ca12037ab.tar.xz
toprammer-837a99274426f9c64afde257cc4c145ca12037ab.zip
Add tests/top2049/m24c01.test
Signed-off-by: Michael Buesch <m@bues.ch>
-rw-r--r--tests/top2049/m24c01.test14
1 files changed, 14 insertions, 0 deletions
diff --git a/tests/top2049/m24c01.test b/tests/top2049/m24c01.test
new file mode 100644
index 0000000..25aa07d
--- /dev/null
+++ b/tests/top2049/m24c01.test
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+test_init()
+{
+ request_DUT "m24c01dip8" || return 1
+ return 0
+}
+
+test_run()
+{
+ toprammer --write-eeprom "$testfile_128"
+ toprammer --read-eeprom "$tmpfile"
+ compare_files "$testfile_128" "$tmpfile" || die "EEPROM mismatch"
+}
bues.ch cgit interface